summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov2014-06-08 20:01:54 +0200
committer Willy Sudiarto Raharjo2014-06-12 01:51:45 +0200
commitf8fb5e97dfa1dabbf7808f259e3bd9796f3e098c (patch)
tree4378038e032bf4899317c0808eea0e40d8152617 /academic
parent9ae03e0d3cb2e36223b59c65ec3d61d972a873d8 (diff)
downloadslackbuilds-f8fb5e97dfa1dabbf7808f259e3bd9796f3e098c.tar.gz
academic/geneconv: Added (Statistical Tests).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/geneconv/README27
-rw-r--r--academic/geneconv/References29
-rw-r--r--academic/geneconv/geneconv.SlackBuild96
-rw-r--r--academic/geneconv/geneconv.info14
-rw-r--r--academic/geneconv/slack-desc19
5 files changed, 185 insertions, 0 deletions
diff --git a/academic/geneconv/README b/academic/geneconv/README
new file mode 100644
index 0000000000..885f156f08
--- /dev/null
+++ b/academic/geneconv/README
@@ -0,0 +1,27 @@
+GENECONV: Statistical Tests for Detecting Gene Conversion
+
+Gene conversion is any process that causes a segment of DNA to be
+copied onto another segment of DNA, or else appears to act in this
+way. The target segment can be on the same chromosome, on a different
+chromosome, or in a different organism. Short-segment gene conversion
+is an important force in evolution, and often takes place at a higher
+frequency than does point mutation.
+
+Given an alignment of DNA or protein sequences, GENECONV finds the
+most likely candidates for aligned gene conversion events between
+pairs of sequences in the alignment. The program can also look for
+gene conversion events from outside of the alignment. Candidate events
+are ranked by multiple-comparison corrected P-values and listed to a
+spreadsheet-like output file.
+
+IMPORTANT:
+You may get a "Segmentation fault" when running the program; the
+problem arises only when GENECONV writes to its log file (e.g.
+myfile.nex.sum), as opposed to its main output file myfile.nex.frags;
+the easiest workaround is to run GENECONV with the -nolog option:
+
+geneconv myfile.nex -nolog
+
+CITING:
+For references and citation information, check the documentation
+folder of the package.
diff --git a/academic/geneconv/References b/academic/geneconv/References
new file mode 100644
index 0000000000..5ca3d9f6c5
--- /dev/null
+++ b/academic/geneconv/References
@@ -0,0 +1,29 @@
+HOW TO CITE GENECONV (table of contents)
+
+A paper describing GENECONV has not yet appeared. In the meantime, try
+
+S. A. Sawyer (1999) GENECONV: A computer package for the statistical detection of gene conversion. Distributed by the author, Department of Mathematics, Washington University in St. Louis, available at http://www.math.wustl.edu/~sawyer.
+
+The reference
+
+Sawyer, S. A. (1989) Statistical tests for detecting gene conversion. Molecular Biology and Evolution 6, 526-538.
+
+is out of date for GENECONV, but could be used instead if journal policies only allow references to printed publications.
+
+Send email comments to [send email] sawyer@math.wustl.edu
+
+Maintained and supported by:
+
+Stanley Sawyer
+Department of Mathematics
+Washington University in St. Louis
+St. Louis, Missouri 63130, USA
+
+Web address: http://www.math.wustl.edu/~sawyer
+Email address: sawyer@math.wustl.edu
+
+This work was partially supported by NSF grant DMS-9707045.
+
+The program GENECONV is free for academic use, but commercial rights are reserved.
+The program may be freely distributed for academic use, as long as it is not renamed or altered.
+No warranty or guarantee of any kind is expressed or implied.
diff --git a/academic/geneconv/geneconv.SlackBuild b/academic/geneconv/geneconv.SlackBuild
new file mode 100644
index 0000000000..c87d532909
--- /dev/null
+++ b/academic/geneconv/geneconv.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for geneconv
+
+# Copyright 2014 Petar Petrov, petar.petrov@student.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=geneconv
+VERSION=${VERSION:-1.81a}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=unix.source
+DOCNAM=unix.examples
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM.tar.gz
+tar xvf $CWD/$DOCNAM.tar.gz
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# This is the program
+cd $SRCNAM
+gcc -DUNIX -o geneconv $SLKCFLAGS geneconv.c version.c vcalc.c vtcalc.c \
+ vsetopts.c vread.c vdump.c vutil.c -lm
+
+install -D -m755 $PRGNAM $PKG/usr/bin/$PRGNAM
+
+# These are the documentation examples
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a ../$DOCNAM/* $PKG/usr/share/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $CWD/gconvdoc.pdf $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/geneconv/geneconv.info b/academic/geneconv/geneconv.info
new file mode 100644
index 0000000000..00baacd720
--- /dev/null
+++ b/academic/geneconv/geneconv.info
@@ -0,0 +1,14 @@
+PRGNAM="geneconv"
+VERSION="1.81a"
+HOMEPAGE="http://www.math.wustl.edu/~sawyer/geneconv/"
+DOWNLOAD="http://www.math.wustl.edu/~sawyer/geneconv/unix.source.tar.gz \
+ http://www.math.wustl.edu/~sawyer/geneconv/unix.examples.tar.gz \
+ http://www.math.wustl.edu/~sawyer/geneconv/gconvdoc.pdf"
+MD5SUM="e558a7944261248314164dbfc256466b \
+ 33ecd7178dc5c32de2e2ded37c9e6e05 \
+ 399067c11bb638514be8d1ad741c4db9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Petar Petrov"
+EMAIL="petar.petrov@student.oulu.fi"
diff --git a/academic/geneconv/slack-desc b/academic/geneconv/slack-desc
new file mode 100644
index 0000000000..9c3ec97763
--- /dev/null
+++ b/academic/geneconv/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+geneconv: geneconv (Statistical Tests for Detecting Gene Conversion)
+geneconv:
+geneconv: Given an alignment of DNA or protein sequences, GENECONV finds
+geneconv: the most likely candidates for aligned gene conversion events
+geneconv: between pairs of sequences in the alignment. The program can also
+geneconv: look for gene conversion events from outside of the alignment.
+geneconv: Candidate events are ranked by multiple-comparison corrected P-
+geneconv: values and listed to a spreadsheet-like output file.
+geneconv:
+geneconv: Home: http://www.math.wustl.edu/~sawyer/geneconv/
+geneconv: References: /usr/doc/geneconv-1.81a/References